Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 24 Apr 2021 09:09:55 +0000

Hi Wael amir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi,
I am customer from long time in-store or online. I was satisfied with your services. However, before 3 month, I ordered and returned an item Guess watch on Jan 16. Until now, I have not received any refund; although, I have call your customer service 5 times and evey time they say, "We are working on it give us one week." I have given your company 3 months and 2 weeks. This is unexceptable. It is not may problem that your company or the shipping companyLandMark lost my returned item. It is your problem. The complaint number is 2256133 issued on 16-3-2021. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2441523